Bug 32617 - Netcfg Hosed after upgrade from 6.2
Summary: Netcfg Hosed after upgrade from 6.2
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netcfg   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-22 01:46 UTC by Need Real Name
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 17:31:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-03-22 01:46:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22smp i686)


Copyright (C) 1996, 1997, 1998, 1999, 2000 Red Hat, Inc.
Redistributable under the terms of the GNU General Public License
Traceback (innermost last):
  File "/usr/lib/rhs/netcfg/netcfg.py", line 1963, in ?
    win = WindowFrame(Toplevel())
  File "/usr/lib/rhs/netcfg/netcfg.py", line 1938, in __init__
    self.Routing = Routing(FR, self.G)
  File "/usr/lib/rhs/netcfg/netcfg.py", line 1851, in __init__
    self.ipv4forward.set(string.atoi(self.G.Sysctl['net.ipv4.ip_forward']))
ValueError: invalid literal for atoi(): 0
1


Reproducible: Always
Steps to Reproduce:
1. Just run netcfg
2.
3.
	

Expected Results:  Netcfg should run correctly, no problems before the
upgrade !!

Comment 1 Need Real Name 2001-03-30 14:13:52 UTC
I resolved this by changing 
self.ipv4forward.set(string.atoi(self.G.Sysctl['net.ipv4.ip_forward']))
to
self.ipv4forward.set(string.atoi('1'))
Anyone have a clue why this was returning the wrong value ??
Apparently the zero value was an unacceptable value and I have
no idea what setting it to '1'  affects otherwise.

-thanx


Comment 2 Need Real Name 2001-03-30 14:20:14 UTC
I resolved this by changing 
self.ipv4forward.set(string.atoi(self.G.Sysctl['net.ipv4.ip_forward']))
to
self.ipv4forward.set(string.atoi('1'))
Anyone have a clue why this was returning the wrong value ??
Apparently the zero value was an unacceptable value and I have
no idea what setting it to '1'  affects otherwise.

-thanx


Comment 3 Need Real Name 2001-04-08 14:44:23 UTC
The Netcfg from 6.2 seems to work just fine, but I could not get the one that
comes with 7.0
to work correctly no matter what I tried.  Any ideas.  Anybody had problems with
the one that
came with 7.0 ??

Comment 4 Bill Nottingham 2006-08-07 20:07:06 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.


Comment 5 Bill Nottingham 2006-10-18 17:31:40 UTC
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.